Debian Bug report logs - #651491
support Multi-Arch

version graph

Package: libproxy; Maintainer for libproxy is Emilio Pozuelo Monfort <pochu@debian.org>;

Reported by: Kees Cook <kees@debian.org>

Date: Fri, 9 Dec 2011 02:54:05 UTC

Severity: normal

Tags: patch

Found in version 0.3.1-4

Fixed in version libproxy/0.3.1-5

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Emilio Pozuelo Monfort <pochu@debian.org>:
Bug#651491; Package libproxy. (Fri, 09 Dec 2011 02:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
New Bug report received and forwarded. Copy sent to Emilio Pozuelo Monfort <pochu@debian.org>. (Fri, 09 Dec 2011 02:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Debian Bugs <submit@bugs.debian.org>
Subject: support Multi-Arch
Date: Thu, 8 Dec 2011 18:52:22 -0800
[Message part 1 (text/plain, inline)]
Package: libproxy
Version: 0.3.1-4
Severity: normal
Tags: patch

Hello,

This patch provides support for Multi-Arch for the release goal.

Thanks,

-Kees

-- 
Kees Cook                                            @debian.org
[libproxy_0.3.1-5.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Emilio Pozuelo Monfort <pochu@debian.org>:
Bug#651491; Package libproxy. (Mon, 12 Dec 2011 11:44:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Emilio Pozuelo Monfort <pochu@debian.org>. (Mon, 12 Dec 2011 11:44:44 GMT) Full text and rfc822 format available.

Message #10 received at 651491@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Kees Cook <kees@debian.org>, 651491@bugs.debian.org
Subject: Re: Bug#651491: support Multi-Arch
Date: Mon, 12 Dec 2011 11:39:55 +0000
On Thu, Dec 08, 2011 at 06:52:22PM -0800, Kees Cook wrote:
> This patch provides support for Multi-Arch for the release goal.

You seem to have left out the changes to debian/control, perhaps because
they need to be made in debian/control.in and probably got overwritten
by clean as a result.

I think you need:

  * Build-Depends: cdbs (>= 0.4.93~), debhelper (>= 8.1.3)
  * Pre-Depends: ${misc:Pre-Depends} in libproxy0 and libproxy-dev
  * Multi-Arch: same in libproxy0 and libproxy-dev
  * Multi-Arch: foreign in libproxy-tools

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Emilio Pozuelo Monfort <pochu@debian.org>:
Bug#651491; Package libproxy. (Thu, 15 Dec 2011 23:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Emilio Pozuelo Monfort <pochu@debian.org>. (Thu, 15 Dec 2011 23:27:10 GMT) Full text and rfc822 format available.

Message #15 received at 651491@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@ubuntu.com>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 651491@bugs.debian.org
Subject: Re: Bug#651491: support Multi-Arch
Date: Thu, 15 Dec 2011 15:23:40 -0800
[Message part 1 (text/plain, inline)]
Hi Colin,

On Mon, Dec 12, 2011 at 11:39:55AM +0000, Colin Watson wrote:
> You seem to have left out the changes to debian/control, perhaps because
> they need to be made in debian/control.in and probably got overwritten
> by clean as a result.

Urgh, yeah. I've attached an updated patch.

> I think you need:
> 
>   * Build-Depends: cdbs (>= 0.4.93~), debhelper (>= 8.1.3)
>   * Pre-Depends: ${misc:Pre-Depends} in libproxy0 and libproxy-dev
>   * Multi-Arch: same in libproxy0 and libproxy-dev
>   * Multi-Arch: foreign in libproxy-tools

Since libproxy-dev doesn't ship any shared objects, it doesn't need the
Pre-Depends, but yes, everything else was in the wiped-out control file. :)

Thanks!

-Kees

-- 
Kees Cook                                            @debian.org
[libproxy_0.3.1-5.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Emilio Pozuelo Monfort <pochu@debian.org>:
Bug#651491; Package libproxy. (Fri, 18 May 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Emilio Pozuelo Monfort <pochu@debian.org>. (Fri, 18 May 2012 18:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 651491@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: 651491@bugs.debian.org
Cc: 651491-subscribe@bugs.debian.org
Subject: libproxy: support Multi-Arch
Date: Fri, 18 May 2012 20:29:02 +0200
Hi,

is there any progress on this? A multiarch-aware dpkg has landed in testing by 
now, and this package is the last one blocking glib-networking and, in turn, 
libsoup2.4-1 from being installable in a foreign architecture (both of which 
are already MA: same). The latter is a dependency of gstreamer0.10-plugins-
good, so it's necessary to get this fixed to get a complete sound stack in a 
foreign architecture.

Kind regards,
Ralf




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 18 May 2012 20:54:03 GMT) Full text and rfc822 format available.

Notification sent to Kees Cook <kees@debian.org>:
Bug acknowledged by developer. (Fri, 18 May 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 651491-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 651491-close@bugs.debian.org
Subject: Bug#651491: fixed in libproxy 0.3.1-5
Date: Fri, 18 May 2012 20:51:33 +0000
Source: libproxy
Source-Version: 0.3.1-5

We believe that the bug you reported is fixed in the latest version of
libproxy, which is due to be installed in the Debian FTP archive:

libproxy-dev_0.3.1-5_amd64.deb
  to main/libp/libproxy/libproxy-dev_0.3.1-5_amd64.deb
libproxy-tools_0.3.1-5_amd64.deb
  to main/libp/libproxy/libproxy-tools_0.3.1-5_amd64.deb
libproxy0_0.3.1-5_amd64.deb
  to main/libp/libproxy/libproxy0_0.3.1-5_amd64.deb
libproxy_0.3.1-5.debian.tar.gz
  to main/libp/libproxy/libproxy_0.3.1-5.debian.tar.gz
libproxy_0.3.1-5.dsc
  to main/libp/libproxy/libproxy_0.3.1-5.dsc
python-libproxy_0.3.1-5_all.deb
  to main/libp/libproxy/python-libproxy_0.3.1-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651491@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated libproxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 18 May 2012 21:12:36 +0200
Source: libproxy
Binary: libproxy0 libproxy-dev libproxy-tools python-libproxy
Architecture: source all amd64
Version: 0.3.1-5
Distribution: unstable
Urgency: low
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libproxy-dev - automatic proxy configuration management library (devel)
 libproxy-tools - automatic proxy configuration management library (tools)
 libproxy0  - automatic proxy configuration management library (shared)
 python-libproxy - automatic proxy configuration management library (python)
Closes: 651491
Changes: 
 libproxy (0.3.1-5) unstable; urgency=low
 .
   [ Kees Cook ]
   * debian/{control,rules,*.install}: Convert to Multi-Arch. Closes: #651491
 .
   [ Michael Biebl ]
   * Bump Standards-Version to 3.9.3.
   * Update Vcs-* URLs.
Checksums-Sha1: 
 8e50d52801f86b2aefd178b9af4bcacba8afac91 2404 libproxy_0.3.1-5.dsc
 2547ea9388e7546fe50f36bea3da3df15a9ef449 6403 libproxy_0.3.1-5.debian.tar.gz
 e8bc9339073751a3ca9318fc18bce62a8e539a78 9096 python-libproxy_0.3.1-5_all.deb
 a86414bda34d833b907a73fc3d1c9a4fb1c9787a 47318 libproxy0_0.3.1-5_amd64.deb
 f0a1a4140c4f172ceda59ac2128022d82bd45257 8774 libproxy-dev_0.3.1-5_amd64.deb
 5dd18f63ebf86afe24fe6ef0e9241c562a08039d 10254 libproxy-tools_0.3.1-5_amd64.deb
Checksums-Sha256: 
 caf90baaf2ddcdf89afbcf6acd7024cefdb166a6a48b4593708aec06627c3345 2404 libproxy_0.3.1-5.dsc
 9f7b0e1395db6faa1189473ed2cafc4274d1166d09d6bf42b2f77af47764a8af 6403 libproxy_0.3.1-5.debian.tar.gz
 565b8aabbaefc490e6a50d05c948ff005c282bf6b24944d5dfdf3af70256b9cf 9096 python-libproxy_0.3.1-5_all.deb
 47b2bd55e28b2557dc28942e28a75b9188a985f694f89b64646c439a71b53ff9 47318 libproxy0_0.3.1-5_amd64.deb
 21f076de9aa30771895c6cb272bdba042bb53e617bb3901d98166d00d11024d4 8774 libproxy-dev_0.3.1-5_amd64.deb
 f908b289b3a6f3b8794c0d8d8ed2cc1ca81718acaa70570a39bd563e952b5b95 10254 libproxy-tools_0.3.1-5_amd64.deb
Files: 
 ec44ec9a1784b4b65fb9e9033de8a837 2404 libs optional libproxy_0.3.1-5.dsc
 77f9a27a68df3aa07fff9f75f49d9f0a 6403 libs optional libproxy_0.3.1-5.debian.tar.gz
 c1977869123f32aa60d7754d6cd517c7 9096 python optional python-libproxy_0.3.1-5_all.deb
 010ac9d5554ebacf04b37d59bcf2eb48 47318 libs optional libproxy0_0.3.1-5_amd64.deb
 f9f46857b2c5ed6c88e4273939b3f4a5 8774 libdevel optional libproxy-dev_0.3.1-5_amd64.deb
 99406185eca05ce489b69dc1e61e779a 10254 utils optional libproxy-tools_0.3.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPtqkwAAoJEGrh3w1gjyLcadcP/19LuQB0Ss7BLtw2baHHxQI9
t804C6cIT9K4sQt4O9kYRluFY8/nF1qcuUO+EQYnMxvJONLCf6QcDRGIMT/f+SFl
6FOXUUaSH1REjf5WEO0O8aEyfYQhuC8k8Q/NHoiSwe9g3Za2gFE1jefXPNlYLaSc
9tU/segu/Sue8wloR7QM4ysbi9Ogzt0m/kQtieuAj1Qt9eL6BQLOpyPQgy81Z0P+
yZ6F0SD93gYdgr2COvG78KFY9NHmKZhWiP9tyg42jtOvVyVsqZ1znjjBmdUM8sOR
cm+OIWJoTaexasfu4drkgnTT8NntVhFwkYScQ/7QcP3a2XJ52WQRhS/yI1TXtft4
5KGN5geG+Aq+zjGMWYq/cJVRefTyWfCg/PiAjA3gAZCxapI62T16t7yJSTndFkdf
H+FSUogwX+R1N6i2f7Min/rukNzcbArV2tGJEv+ORlygb8xmiMo5AKHwSZ0b19XN
ovax4U5WmO5y6mh7uuk8cJNtLVOLYLJdbq5e7pKBT7oLg9pclRbklABAkksMelfv
17saTdy0dUcbfkdnPsocWYjX4aZRa5BegidzuD+iQCyr1Lj1ro0/c70CVNNGz3wa
Wbbml4O0vrGgTvwRc4GqxvTr4SogDKslUjRuHGVBg8zOXouVZEAXyGHqOIt6/y8J
KbywvKO2TQGn0WbI9sE0
=bgpy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2012 07:43:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:59:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.